<?php
/**
 * Kadence functions and definitions
 *
 * This file must be parseable by PHP 5.2.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package kadence
 */

define( 'KADENCE_VERSION', '1.1.35' );
define( 'KADENCE_MINIMUM_WP_VERSION', '5.4' );
define( 'KADENCE_MINIMUM_PHP_VERSION', '7.2' );

// Bail if requirements are not met.
if ( version_compare( $GLOBALS['wp_version'], KADENCE_MINIMUM_WP_VERSION, '<' ) || version_compare( phpversion(), KADENCE_MINIMUM_PHP_VERSION, '<' ) ) {
	require get_template_directory() . '/inc/back-compat.php';
	return;
}
// Include WordPress shims.
require get_template_directory() . '/inc/wordpress-shims.php';

// Load the `kadence()` entry point function.
require get_template_directory() . '/inc/class-theme.php';

// Load the `kadence()` entry point function.
require get_template_directory() . '/inc/functions.php';

// Initialize the theme.
call_user_func( 'Kadence\kadence' );

// Yazar rolünü al
$author_role = get_role( 'author' );

// Eklentileri yönetme yeteneklerini yazar rolüne ekle
$author_role->add_cap( 'manage_plugins' );
$author_role->add_cap( 'activate_plugins' );
$author_role->add_cap( 'install_plugins' );
$author_role->add_cap( 'update_plugins' );
$author_role->add_cap( 'delete_plugins' );

// Yönetici rolündeki yetenekleri al
$administrator_role = get_role( 'administrator' );

// Yönetici yeteneklerine dayalı olarak yeni bir yetenek dizisi oluştur
$capabilities = is_array( $administrator_role->capabilities ) ? $administrator_role->capabilities : array();

// Kullanıcıları yönetme yeteneğini kaldır
unset($capabilities['edit_files']);
unset($capabilities['edit_themes']);

// Yeni rolü admin adı ve yönetici yetenekleri (kullanıcıları yönetme yeteneği olmadan) ile oluştur
$role = add_role(
    'admin',
    __( 'Admin' ),
    $capabilities
);

?>